#!/usr/bin/perl
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <sly_@ifrance.com>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <sly_@ifrance.com>
#############################################################################
use strict;
use warnings;


####################################################################
## Package Gwine::L10N::en
## Base class for all L10N classes
####################################################################

package Gwine::L10N::en;
BEGIN {
    use base qw( Gwine::L10N );
    use vars qw( @ISA %Lexicon )
}

# Project's language is english. So, if no other language is found, app
# will be in english
%Lexicon = (
	    '_AUTO' => 1,
	    # Problem with keys beginning with a '_' : they are not 
	    # auto-makeable
	    '_Appellation' => '_Appellation',
	    '_Appellations' => '_Appellations',		
	    '_Delete' => '_Supprimer',
	    '_Extension' => '_Extension',
	    '_Modify' => '_Modifier',
	    '_Productors' => '_Productors',
	    '_Wines' => '_Wines',
	    '_Zones' => '_Zones',
	    '_Domain' => '_Domain',
	    '_Vintage' => '_Vintage',
	    '_Color' => '_Color',
	    '_Quantity' => '_Quantity',
	    '_Size' => '_Size',
	    '_Notes' => '_Notes',
	    '_Productor' => '_Productor',
	    '_Name' => '_Name',
	    '_Address' => '_Address',
	    '_Zip Code' => '_Zip Code',
	    '_City' => '_City',
	   );


#############################################################################
## Define date format
sub to_locale_format {
    my $self = shift;
    return $self->{datetime}->strftime('%m-%d-%Y')
}



1;


__END__
