#!/usr/bin/perl
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <sly_@ifrance.com>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <sly_@ifrance.com>
#############################################################################
use strict;
use warnings;


####################################################################
## Package Gwine::L10N::fr
## Language class for internal keys
####################################################################
package Gwine::L10N::fr;

BEGIN {
    use base qw( Gwine::L10N );
    use vars qw( @ISA %Lexicon );
}

%Lexicon = (
	    '_AUTO' => 1,
	    'Red' => 'Rouge',
	    'Rose' => 'Ros',
	    'White' => 'Blanc',
	    'Save wine cellar' => 'Sauver la cave',
	    'Save wine cellar on disk' => 'Sauver la cave sur le disque',
	    'Exit Gwine' => 'Quitter Gwine',
	    '_Appellation' => '_Appellation',
	    '_Appellations' => '_Appellations',
	    '_Delete' => '_Supprimer',
	    '_Extension' => '_Extension',
	    'Geographical _Zone' => '_Zone gographique',
	    '_Modify' => '_Modifier',
	    '_Productors' => '_Producteurs',
	    '_Wines' => 'Vins',
	    '_Zones' => '_Zones',
	    'Domain' => 'Domaine',
	    'Vintage' => 'Millsime',
	    'Color' => 'Couleur',
	    'Number' => 'Quantit',
	    'Price' => 'Prix',
	    'Buying date' => 'Date d\'achat',
	    'Size' => 'Taille',
	    'Productor' => 'Producteur',
	    'Name' => 'Nom',
	    'Address' => 'Adresse',
	    'Zip Code' => 'Code postal',
	    'City' => 'Ville',
	    'Country' => 'Pays',
	    'a wine cellar manager' => 'Gestionaire de cave  vins',
	    'Sylvain Daubert <sly_@ifrance.com>' => 
	    'Sylvain Daubert <sly_@ifrance.com>', # Translator
	    '_Domain' => '_Domaine',
	    '_Vintage' => '_Millsime',
	    '_Color' => '_Couleur',
	    '_Quantity' => '_Quantit',
	    '_Size' => '_Taille',
	    '_Notes' => '_Notes',
	    'Buying _Date' => '_Date d\'achat',
	    'C_onservation' => '_Garde',
	    '_Productor' => '_Producteur',
	    'Pr_ice' => 'Pr_ix',
	    '_Name' => '_Nom',
	    '_Address' => '_Adresse',
	    '_Zip Code' => '_Code postal',
	    '_City' => '_Ville',
	    'C_ountry' => '_Pays',
	    "Open file..." => "Ouvrir un fichier...",
	    "Save file as..." => "Sauver sous...",
	    "New Zone" => "Nouvelle zone",
	    "New Appellation" => "Nouvelle appellation",
	    "New Extension" => "Nouvelle extension",
	    'New wine' => 'Nouveau vin',
	    'New Productor' => 'Nouveau producteur',
	    'This node cannot be deleted: a sub-node exists' => 
	    'Ce noeud ne peut pas tre supprim : un sous-noeud existe',
	    'This node cannot be deleted: wines exist' =>
	    'Ce noeud ne peut pas tre supprim : des vins existent',
	    "Modify [_1] ([_2])" =>
	    "Modification de [_1] ([_2])",
	    'Wines' => 'Vins',
	    'Productors' => 'Producteurs',
	    'New Cellar' => 'Nouvelle Cave',
	    "Save [_1] before creating new cellar?\n All unsaved data will be lost." =>
	    "Sauver [_1] avant de crer une nouvelle cave ?\n Les donnes non sauves seront perdues.",
	    'All unsaved data will be lost. Do you want to quit?' =>
	    'Les données non sauvegardées seront perdues. Voulez-vous vraiment quitter Gwine ?',
	    'Preferences' => 'Prfrences',
	    'Open last opened _file at startup' =>
	    'R-ouvrir le dernier fichier ouvert au dmarrage',
	    'Save application _size between sessions' =>
	    "Sauvegarder la taille de l\'application entre les sessions",
	    'Use confirmation _popups' => 'Utiliser des dialogues de confirmations',
	    'Opening [_1]...' => 'Ouverture de [_1]...',
	    'Converting database informations to locale...' =>
	    'Conversion de la base de donnes pour l\'utilisation du franais',
	    'Saving [_1]...' => 'Sauvegarde de [_1]...',
	    'Converting locale informations for saving...' =>
	    'Conversion des spcificits franaises pour la sauvegarde',
	    'This zone will be deleted permanently.\nAre you sure?' =>
	    'Cette zone sera dtruite de faon permanente.\nVoulez-vous continuer ?',
	    'This wine will be deleted permanently.\nAre you sure?' =>
	    'Ce vin sera dtruit de faon permanente.\nVoulez-vous continuer ?',
	    'This productor will be deleted permanently.\nAre you sure?' =>
	    'Ce producteur sera supprim de faon permanente.\nVoulez-vous continuer ?',
	    'unknown' => 'inconnue',
	    'General' => 'Gnral',
	    'Properties of [_1]' => 'Proprits de [_1]',
	    'Wines:' => 'Vins :',
	    'Bottles:' => 'Bouteilles :',
	    'Last modification date:' => 'Dernire modification :',
	    'Columns' => 'Colones',
	    'Visible' => 'Visible',
	    '_Show wine list columns' =>
	    '_Afficher les colones pour la liste des vins',
	    '_Show productor list columns' =>
	    '_Afficher les colones pour la liste des producteurs',
	    'Wine\'s name' => 'Nom du vin',
	    'Production year' => 'Anne de rcolte',
	    'Wine\'s color' => 'Couleur du vin',
	    'Bottle number' => 'Nombre de bouteilles',
	    'Bottle size in liter' => 'Volume de la bouteille en litres',
	    'Buying date (mm-dd-yyyy)' => 'Date d\'achat au format jj/mm/aaaa',
	    '\d{1,2}-\d{1,2}-\d{4}' => '\d{1,2}/\d{1,2}/\d{4}',
	    'mm-dd-yyyy' => 'jj/mm/aaaa',
	    'Number of year to keep before drinking' =>
	    'Nombre d\'anne  conserver avant de boire',
	    'Bottle price' => 'Prix  l\'unit',
	   );


#############################################################################
## Overriding Gwine::L10N->init
sub init {
    print "Gwine::L10N::fr used\n";
    my $self = shift;
    $self->SUPER::init();
    $self->{decimal_digits} = 2;
    $self->{decimal_fill} = 1;
    $self->{decimal_point} = ',';
}


#############################################################################
## Define date format
sub to_locale_format {
    my $self = shift;
    return $self->{datetime}->strftime('%d/%m/%Y')
}


#############################################################################
## Overriding Gwine::L10N->numf (there's a bug in Number::Format)
#sub numf {
#    my $self = shift;
#    my $number = shift;
#    
#    my $format = '%.' . ($self->{decimal_fill} ? $self->{decimal_digits} : 0) 
#	. 'f';
#    $number = sprintf $format, $number;
#    $number =~ tr/./,/;
#    return $number;
#}


#############################################################################
## Overriding Gwine::L10N->numunf (there's a bug in Number::Format)
#sub numunf {
#    my $self = shift;
#    my $number = shift;
#    
#    $number =~ tr/,/./;
#    return $number;
#}




1;


__END__
